Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
DbSite Members
DbSite Class Methods Properties See Also Send Feedback

The DbSite type exposes the following members.

# Methods

| Name | Description
--- | --- | ---
| Close | Close the site.
| Dispose | Release the resources held by this object, and close the site if it is still open.
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| Remove | Remove the site from the replication manager.
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| Address | The host and port of the site.
| EId | The eid of the site.
| GroupCreator | Whether the site is a group creator.
| Helper | Whether the site is a helper site.
| Legacy | Whether the site is within a legacy group.
| LocalSite | Whether it is a local site.
| Peer | Whether the site is peer to a local site.

# See Also

DbSite Class
BerkeleyDB Namespace